package com.bytedance.android.livesdk.model.message;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class BattleSettings {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    public static final Long LIZJ = 0L;
    public static final Long LIZLLL = 0L;
    public static final Long LJ = 0L;
    public static final Long LJFF = 0L;
    @c(LIZ = "battle_id")
    public Long LJI;
    @c(LIZ = "start_time_ms")
    public Long LJII;
    @c(LIZ = "duration")
    public Long LJIIIIZZ;
    @c(LIZ = "theme")
    public String LJIIIZ;
    @c(LIZ = "channel_id")
    public Long LJIIJ;
    @c(LIZ = "match_type")
    public Long LJIIJJI;
    @c(LIZ = "banner_url")
    public String LJIIL;
    @c(LIZ = "sub_type")
    public Long LJIILIIL;
    @c(LIZ = "mode")
    public int LJIILJJIL;
    @c(LIZ = "config")
    public String LJIILL;

    static {
        Covode.recordClassIndex(19015);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJI != null) {
            sb.append(", battle_id=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", start_time_ms=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", duration=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", theme=");
            sb.append(this.LJIIIZ);
        }
        if (this.LJIIJ != null) {
            sb.append(", channel_id=");
            sb.append(this.LJIIJ);
        }
        if (this.LJIIJJI != null) {
            sb.append(", match_type=");
            sb.append(this.LJIIJJI);
        }
        if (this.LJIIL != null) {
            sb.append(", banner_url=");
            sb.append(this.LJIIL);
        }
        if (this.LJIILIIL != null) {
            sb.append(", sub_type=");
            sb.append(this.LJIILIIL);
        }
        sb.append(", mode=");
        sb.append(this.LJIILJJIL);
        if (this.LJIILL != null) {
            sb.append(", config=");
            sb.append(this.LJIILL);
        }
        sb.replace(0, 2, "BattleSettings{");
        sb.append('}');
        return sb.toString();
    }
}
